# Python 3.11 --  demo matplotlib two horizontal / vertical Axes
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2024-04-30  initial release

import  matplotlib.pyplot   as  plt

class Img1:

    def __init__(self):
        fig, axs = plt.subplots(1, 2, figsize=(8, 2), facecolor='lightskyblue', layout='constrained')
        fig.suptitle('A nice Matplotlib Figure')
        axs[0].set_title('Axes 0', loc='left', fontstyle='oblique', fontsize='medium')
        axs[1].set_title('Axes 1', loc='left', fontstyle='oblique', fontsize='medium')
        plt.show()


class Img2:

    def __init__(self):
        fig, axs = plt.subplots(2, 1, figsize=(4, 4), facecolor='lightskyblue', layout='constrained')
        fig.suptitle('A nice Matplotlib Figure')
        axs[0].set_title('Axes 0', loc='left', fontstyle='oblique', fontsize='medium')
        axs[1].set_title('Axes 1', loc='left', fontstyle='oblique', fontsize='medium')
        plt.show()


Img2()
